diff --git a/src/test/regress/expected/equivclass.out b/src/test/regress/expected/equivclass.out
index 3d5de28354..2605554380 100644
--- a/src/test/regress/expected/equivclass.out
+++ b/src/test/regress/expected/equivclass.out
@@ -1,3 +1,7 @@
+SET client_min_messages TO 'warning';
+DROP TYPE IF EXISTS int8alias1, int8alias2 CASCADE;
+DROP TABLE IF EXISTS ec0, ec1, ec2 CASCADE;
+RESET client_min_messages;
 --
 -- Tests for the planner's "equivalence class" mechanism
 --
diff --git a/src/test/regress/expected/tsearch.out b/src/test/regress/expected/tsearch.out
index cfa391ac51..6839be5f37 100644
--- a/src/test/regress/expected/tsearch.out
+++ b/src/test/regress/expected/tsearch.out
@@ -1,3 +1,6 @@
+SET client_min_messages TO 'warning';
+DROP TABLE IF EXISTS test_tsvector, test_tsquery CASCADE;
+RESET client_min_messages;
 -- directory paths are passed to us in environment variables
 \getenv abs_srcdir PG_ABS_SRCDIR
 --
diff --git a/src/test/regress/sql/equivclass.sql b/src/test/regress/sql/equivclass.sql
index 77dd964ebf..fec4a416c8 100644
--- a/src/test/regress/sql/equivclass.sql
+++ b/src/test/regress/sql/equivclass.sql
@@ -1,3 +1,7 @@
+SET client_min_messages TO 'warning';
+DROP TYPE IF EXISTS int8alias1, int8alias2 CASCADE;
+DROP TABLE IF EXISTS ec0, ec1, ec2 CASCADE;
+RESET client_min_messages;
 --
 -- Tests for the planner's "equivalence class" mechanism
 --
diff --git a/src/test/regress/sql/tsearch.sql b/src/test/regress/sql/tsearch.sql
index db2e09be94..4cbc5a3d5c 100644
--- a/src/test/regress/sql/tsearch.sql
+++ b/src/test/regress/sql/tsearch.sql
@@ -1,3 +1,6 @@
+SET client_min_messages TO 'warning';
+DROP TABLE IF EXISTS test_tsvector, test_tsquery CASCADE;
+RESET client_min_messages;
 -- directory paths are passed to us in environment variables
 \getenv abs_srcdir PG_ABS_SRCDIR
 
